com.arm.cmsis.zone.gen.data

## Class FmInterrupt

- java.lang.Object
- - com.arm.cmsis.zone.gen.data.FmInterrupt

-     public class FmInterrupt
      extends java.lang.Object

  Interrupt - Generator Data Model Element A interrupt element gives information about an interrupt and its declared usage.
  Author:
    Jonatan Antoni

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FmInterrupt(com.arm.cmsis.zone.data.ICpInterrupt interrupt, FmBlock block)` Create Interrupt generator data model element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInfo()` Get brief interrupt description.
    `java.lang.String` | `getName()` Get the interrupt name.
    `java.lang.Long` | `getNumber()` Get interrupt number.
    `boolean` | `isNonSecure()` Get non-secure usage of this interrupt.
    `boolean` | `isSecure()` Get secure usage of this interrupt.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FmInterrupt

          public FmInterrupt(com.arm.cmsis.zone.data.ICpInterrupt interrupt,
                             FmBlock block)

      Create Interrupt generator data model element.
      Parameters:
        `interrupt` - The storage data model element to wrap.
        `block` - The peripheral register block this interrupt is associated with.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the interrupt name.
      Returns:
        Interrupt name.

    - #### getInfo

          public java.lang.String getInfo()

      Get brief interrupt description.
      Returns:
        Interrupt description.

    - #### getNumber

          public java.lang.Long getNumber()

      Get interrupt number.
      Returns:
        Interrupt number.

    - #### isSecure

          public boolean isSecure()

      Get secure usage of this interrupt.
      Returns:
        True, if the associated peripheral is used with secure access.

    - #### isNonSecure

          public boolean isNonSecure()

      Get non-secure usage of this interrupt.
      Returns:
        True, if the associated peripheral is used with non-secure access.